import 'package:fengshui_compass/pages/personal_login_page.dart';
import 'package:fengshui_compass/pages/personal_nologin_page.dart';
import 'package:fengshui_compass/states/token.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';

class PersonalPage extends StatefulWidget {
  const PersonalPage({Key key}) : super(key: key);

  @override
  State<PersonalPage> createState() => _PersonalPageState();
}

class _PersonalPageState extends State<PersonalPage> {
  // @override
  // void initState() {
  //   super.initState();
  //   loginStreamController.stream.listen((event) {
  //     setState(() {});
  //   });
  // }
  //
  // @override
  // void dispose() {
  //   loginStreamController.close();
  //   super.dispose();
  // }

  @override
  Widget build(BuildContext context) {
    return Consumer<TokenProvider>(builder: (builder, tokenProvider, child) {
      if (tokenProvider.isLogin) {
        // 构建已登录页面
        return PersonalLoginPage();
      } else {
        // 构建未登录页面
        return PersonalNoLoginPage();
      }
    });
  }
}
//   );
//
//   // 判断用户是否登陆
//   if
//
//   (
//
//   TokenHelper.getInstance.isLogin
//
//   ) {
//   print(TokenHelper.getInstance.isLogin);
//   // 构建已登录页面
//   return PersonalLoginPage();
//   } else {
//   // 构建未登录页面
//   return PersonalNoLoginPage();
//   }
// }}
